
Foreman - Feature #245

Fix LDAP user management

05/11/2010 07:29 PM - Eric Shamow

Status: Closed   

Priority: Normal   

Assignee: Eric Shamow   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the current version, user management is available via two options:  you can create and populate stand-alone users, or you can

enable LDAP and allow any user who can authenticate to automatically create an account.

It is desireable to allow LDAP for authentication but to still control authorization, either by enabling an LDAP filter for a particular

group, or by creating user accounts which use LDAP for auth.

The latter is doable (thanks olevy) by commenting out the following line in app/controllers/users_controller.rb:

config.actions.exclude :create

This enables LDAP users to be added, but the method is kludgy.  There should either be an LDAP filter option (preferable) or a

config or GUI-based way to turn limited LDAP on.

Related issues:

Has duplicate Foreman - Feature #149: Better LDAP user control Rejected 01/07/2010

History

#1 - 05/30/2010 04:58 PM - Ohad Levy

- Target version set to 0.1-6

#2 - 08/15/2010 12:58 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Eric Shamow

would you be able to confirm that by introducing the internal authentication scheme, the problem is resolved? (can be found in the latest develop

branch).

#3 - 09/12/2010 09:54 AM - Ohad Levy

- Status changed from Feedback to Need more information

- Target version deleted (0.1-6)

#4 - 09/19/2010 03:45 PM - Ohad Levy

- Status changed from Need more information to Closed
